<template>
  <v-container>
    <v-card class="bigCard">

    <v-layout wrap>
      <v-flex xs3 v-for="(skillDepartment,index) in skillDepartments" :key="index">
        <v-container grid-list-xs>

        <v-card
          class="cardDepartment"
          :id="skillDepartment.department_id"
          v-if="skillDepartment.department_id === getDepartmentId"
        >
          <v-layout wrap>
            <v-flex xs12>
              <img class="imgDepartment" :src="picAPI + skillDepartment.pic_path" />
            </v-flex>
          </v-layout>
          <v-layout wrap>
            <v-flex xs12 text-center>{{skillDepartment.name}}</v-flex>
          </v-layout>
        </v-card>
        </v-container>
      </v-flex>
    </v-layout>
    </v-card>
  </v-container>
</template>
<script>
export default {
  data () {
    return {
      skillDepartments: [],
      departments_id: [],
      picAPI: process.env.VUE_APP_API
    }
  },
  created () {
    this.getDataSubject()
    this.getDataDepartment()
    console.log('getDepartmentId', this.getDepartmentId)
  },
  computed: {
    getDepartmentId () {
      return this.$store.state.moduleA.menu_course_bar
    }
  },
  methods: {
    async getDataSubject () {
      this.skillDepartments = []
      try {
        var response = await this.axios.get(process.env.VUE_APP_API + '/api/subject')
        console.log('=============*****', response.data.data)
        this.skillDepartments = response.data.data
      } catch (error) {
        console.log(error.message)
      }
    },
    async getDataDepartment () {
      try {
        var response = await this.axios.get(process.env.VUE_APP_API + '/api/depart')
        console.log('>>>>>>', response.data.data)
        this.departments = response.data.data
        for (const items of this.departments) {
          var itemID = items
          console.log('id', itemID.id)
          this.departments_id = itemID.id
          console.log('departments_id', this.departments_id)
        }
      } catch (error) {
        console.log(error.message)
      }
    }
  }
}
</script>
<style>
.cardDepartment {
  width: 100%;
  height: 300px;
}
.imgDepartment {
  width: 100%;
  height: 250px;
}
.bigCard {
  border-radius: 8px;
  background: rgba(10, 10, 10, 0.4) !important;

}
</style>
